Show / Hide Table of Contents

# Struct RangeAccessor<T>

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct RangeAccessor<T>

        where T : struct

##### Type Parameters

Name | Description
--- | ---
T |

### Constructors

| Improve this Doc View Source

#### RangeAccessor(IntPtr, Int32)

##### Declaration

    public RangeAccessor(IntPtr data, int count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | data |
System.Int32 | count |

| Improve this Doc View Source

#### RangeAccessor(Void*, Int32)

##### Declaration

    public RangeAccessor(void *data, int count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Void* | data |
System.Int32 | count |

### Fields

| Improve this Doc View Source

#### Count

##### Declaration

    public readonly int Count

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Data

##### Declaration

    public readonly void *Data

##### Field Value

Type | Description
--- | ---
System.Void* |

### Properties

| Improve this Doc View Source

#### Item[Int32]

##### Declaration

    public T this[int index] { get; }

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Property Value

Type | Description
--- | ---
T |